# $Revision: 1.4 $, $Date: 2004/06/03 14:07:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Geometry
Summary:	Math::Geometry - geometry related functions
Summary(pl):	Math::Geometry - funkcje zwizane z geometri
Name:		perl-Math-Geometry
Version:	0.03
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/GMCCAR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b875ad521c0bab56d78ed525466caff9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Math-Matrix
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package implements classic geometry methods.

%description -l pl
Ten pakiet zawiera implementacje klasycznych metod geometrycznych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e '$.==1&&s|/usr/local/|/usr/|' Geometry.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Math/Geometry.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Geometry.spec,v $
Revision 1.4  2004/06/03 14:07:54  radek
- release 3: killed /usr/local/bin/perl

Revision 1.3  2004/05/08 11:21:21  ankry
- missing BR, rel. 2

Revision 1.2  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.1  2003/10/26 14:18:28  qboosh
- new

